Subject: [VCARDDAV] [Technical Errata Reported] RFC6474 (4557)

From: RFC Errata System <[email-masked]>
Date: Mon, 7 Dec 2015 03:22:18 -0800 (PST)

The following errata report has been submitted for RFC6474,
"vCard Format Extensions: Place of Birth, Place and Date of Death".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6474&eid=4557

--------------------------------------
Type: Technical
Reported by: Sylvain Berfini <[email-masked]>

Section: 2.1

Original Text
-------------
BIRTHPLACE;VALUE=uri:geo:46.769307,-71.283079

Corrected Text
--------------
BIRTHPLACE;VALUE=uri:geo:46.769307\\,-71.283079

Notes
-----
Section 3.4 in RFC 6350 states that all property values must have COMMA characters escaped with a BACKSLASH character. The BIRTHPLACE property value in the example contains a comma. Therefore it must be escaped with a backslash.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6474 (draft-ietf-vcarddav-birth-death-extensions-02)
--------------------------------------
Title               : vCard Format Extensions: Place of Birth, Place and Date of Death
Publication Date    : December 2011
Author(s)           : K. Li, B. Leiba
Category            : PROPOSED STANDARD
Source              : vCard and CardDAV
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Simon Perreault <[email-masked]>
Date: Mon, 7 Dec 2015 09:17:12 -0500

> Original Text

Why two backslashes?

Simon

---

From: Simon Perreault <[email-masked]>
Date: Mon, 7 Dec 2015 09:25:40 -0500

Le 2015-12-07 09:18, Sylvain Berfini a écrit :
> Actually I only set one when I submitted the errata. I don't know why it
> put it twice (also on errata 4559).

Ah, probably just a bug in the mailer then.

A single backslash would be correct. No impact on interop either because
this is example text. Same for errata 4559.

Simon

> Le 07/12/2015 15:17, Simon Perreault a écrit :
>>> Section 3.4 in RFC 6350 states that all property values must have
>>> COMMA characters escaped with a BACKSLASH character. The BIRTHPLACE
>>> property value in the example contains a comma. Therefore it must be
>>> escaped with a backslash.
>> Why two backslashes?
>>
>> Simon
>